Error when adding tracker-specific fields as columns on issues' list

2015-03-23 19:59 - David Nielsen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.6.1

Description

Dear all,

In one project, I have different issue trackers, and each of them contains different custom fields. When adding a custom field as a

column to the issues' list page, I can choose from all the custom fields created, no matter what issues trackers I am displaying.

Suppose I have trackers A and B. And there is a custom field X, that only belongs to issues of tracker A. If I choose to display custom

field X on the issues list page, before filtering only tracker A, I get a 500 error. It happens every time I try to add a field as

filter/column that does not relate to all trackers listed.

Thank you in advance,

Environment:

  Redmine version                2.6.1.stable.13883

  Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

  Rails version                  3.2.21

  Environment                    production

  Database                       Mysql 5.1.73

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem  

History

#1 - 2015-04-21 11:19 - Toshi MARUYAMA

- Description updated

#2 - 2015-04-21 11:29 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on 2.6.3.

Do you use plugins?

Could you give us log?

#3 - 2021-10-16 11:03 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
